Bug 1601523 - orchestration link mismatch
Summary: orchestration link mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 14:40 UTC by Felix Dewaleyne
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Felix Dewaleyne 2018-07-16 14:40:39 UTC
Description of problem:
the orchestration template in the page of a deployed stack 

Version-Release number of selected component (if applicable):
5.9.3 and 5.8.3

How reproducible:
all the time

Steps to Reproduce:
1. create service based on orchestration stack
2. Request 2-3 services based on first step service template
3. Check the Service->Orchestration Stack->Orchestration Template relationship displayed on Classic UI

Actual results:
the deployed services show different templates each time

Expected results:
the relation displays the correct template

Additional info:
was reproduced over bomgar by the customer

Comment 5 CFME Bot 2018-08-09 11:42:41 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e7b82f406402c3ee03bd69fe67b3dfa9584347b1
commit e7b82f406402c3ee03bd69fe67b3dfa9584347b1
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Aug  8 11:13:38 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Aug  8 11:13:38 2018 -0400

    Correctly render name of orchestration template

    Rather than the name of its orchestration stack.

    https://bugzilla.redhat.com/show_bug.cgi?id=1601523

 app/controllers/orchestration_stack_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/37ecf74cf987710eea3fd6c5ab5ac295fecb3dd8
commit 37ecf74cf987710eea3fd6c5ab5ac295fecb3dd8
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Aug  8 11:14:11 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Aug  8 11:14:11 2018 -0400

    Spec for correctly rendering OT name

    https://bugzilla.redhat.com/show_bug.cgi?id=1601523

 spec/controllers/orchestration_stack_controller_spec.rb | 9 +-
 1 file changed, 8 insertions(+), 1 deletion(-)

Comment 6 Shveta 2018-12-03 20:17:04 UTC
Fixed.
Verified in 5.10.0.27.20181128170555_43ed8cb

Comment 7 errata-xmlrpc 2019-02-07 23:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.